Next Previous Contents

## 3.65 getenv

> Function

>   Return a value from the environment.

> Header

>   `stdlib.h`

> Declaration

>   `char* __fastcall__ getenv (const char* name);`

> Description

>   The function searches the environment for an entry that matches `name` and returns its value. The environment consists of a list of strings in the form `name=value`. If there is no match, `getenv` returns `NULL`.

> Limits

>   - What exactly is stored in the environment depends on the machine the program is running on.
>   - The function is only available as fastcall function, so it may only be used in presence of a prototype.
> Availability

>   ISO 9899

> Example

>   None.

Next Previous Contents